virt-v2v-release-notes-2.4(1)

NAME
virt-v2v-release-notes - virt-v2v release notes for 2.4

DESCRIPTION
These are the release notes for virt-v2v 2.4. This describes the major changes since 2.2.

Virt-v2v 2.4.0 was released on 5 January 2024.

  New features
New --block-driver option which can be used to choose to install either virtio-blk or virtio-scsi drivers (Andrey Drobyshev).

The virt-v2v --key option now recognizes LVM names like /dev/mapper/rhel_bootp--73--75--123-root (Laszlo Ersek).

The --key option also supports a new --key all:... selector to try the same key on all devices.

  Feature removed
Support for RHEL 3 conversions has been removed.

  Other fixes
Conversions now set the "host-model" CPU in the output metadata, except where the source hypervisor overrides this. The exception is -o qemu mode which uses -cpu host. (Thanks Ming Xie, Laszlo Ersek, Dr. David Alan Gilbert, Daniel Berrangé)

virt-v2v will now look for bootloader configuration in /boot/grub/grub.cfg for UEFI guests (Andrey Drobyshev).

Invoke pnputil (if available) to install drivers, fixing some Windows conversions (Andrey Drobyshev).

Skip SELinux relabelling if the guest has disabled SELinux (Roman Kagan).

Several output modes now generate metadata to indicate whether the guest requires the RTC to be set to UTC (Linux) or localtime (most Windows). For example with -o libvirt this generates <clock offset="utc|localtime"/>. (Thanks Lee Garrett, Laszlo Ersek)

-i ova mode is now less strict about parsing the manifest file, which helps when converting some non-conforming OVA files.

Input modes using -it ssh now use the correct quoting (thanks Bill Sanders, Laszlo Ersek).

-i vmx mode now rejects VMDK files explicitly, reducing a source of user confusion (thanks Ming Xie).

Multiple fixes to -o kubevirt mode. Also implement -oo compressed for this mode. (Thanks Xiaodai Wang, Ming Xie)

-o libvirt mode now supports Rocky Linux (thanks Ming Xie).

-o openstack documentation for cloud configurations fixed (thanks Ming Xie).

-o rhv-upload mode has an improved error when the -os parameter is invalid or missing (thanks Junqin Zhou).

  Build changes
Support for OCaml 5, and OCaml ≥ 4.07 is now the minimum (thanks Guillaume Munch-Maccagnoni, Jerry James, Josh Berdine, Jürgen Hötzel, Vincent Laviron).

Fix several tests so they can handle the case where the operating system does not support btrfs or NTFS, instead of failing (Laszlo Ersek).

Fix compatibility issues with libxml2 2.12.

  Internals
Fix an off-by-one error which caused very rare crashes in virt-v2v.

  Bugs fixed

https://bugzilla.redhat.com/2182024
    improve UX when running as root and we can't chown v2v tmpdir or socks

https://bugzilla.redhat.com/2175703
    virt-v2v failed to inspect RHEL9.2 guest due to kernel-core / kernel-modules-core subpackage split

https://bugzilla.redhat.com/2172075
    Modify virt-v2v-output-openstack man page to add cloud.yaml related information

https://bugzilla.redhat.com/2168506
    RFE: Virt-v2v should recognize partition names like '/dev/mapper/rhel boot--73--75--123-root' in related keys option

https://bugzilla.redhat.com/2168082
    win11/2022 failed to start into OS after converting to local libvirt via virt-v2v on AMD EPYC-Milan CPU model host

https://bugzilla.redhat.com/2166619
    kernel panic when booting into OS with rocky9 guest converted by v2v to local libvirt

https://bugzilla.redhat.com/2166618
    There is virt-v2v: warning: unknown guest operating system: linux rocky 9.1 x86_64 when convert rocky guests to local libvirt

https://bugzilla.redhat.com/2162444
    Enable '--oo compressed' for -o kubevirt

https://bugzilla.redhat.com/2162332
    -o kubevirt mode must rename guest to comply with KubeVirt requirements: metadata.name: Invalid value: "esx8.0-rhel8.8-x86_64": a lowercase RFC 1123 subdomain must consist of lower case alphanumeric characters, '-' or '.', and must start and end with an a

https://bugzilla.redhat.com/1986386
    Improve error message when converting to rhv using the wrong data domain name which has a specific character

SEE ALSO
virt-v2v(1).

AUTHORS
Authors of virt-v2v 2.4:

Andrey Drobyshev
Emilio Herrera
grimst
HATAYAMA Daisuke
Jan Kuparinen
Jürgen Hötzel
Laszlo Ersek
Pavel Borecki
Piotr Drąg
Richard W.M. Jones
Roman Kagan
Temuri Doghonadze
Yuri Chornoivan

COPYRIGHT
Copyright (C) 2009-2025 Red Hat Inc.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

BUGS
To get a list of bugs against libguestfs, use this link: https://bugzilla.redhat.com/buglist.cgi?component=libguestfs&product=Virtualization+Tools

To report a new bug against libguestfs, use this link: https://bugzilla.redhat.com/enter_bug.cgi?component=libguestfs&product=Virtualization+Tools

When reporting a bug, please supply:

•   The version of libguestfs.

•   Where you got libguestfs (eg. which Linux distro, compiled from source, etc)

•   Describe the bug accurately and give a way to reproduce it.

•   Run libguestfs-test-tool(1) and paste the complete, unedited output into the bug report.